<template>
    <div>
        <v-list-tile @click="" v-for="operation in operations" v-bind:key="operation.id">
            <v-list-tile-action></v-list-tile-action>
            <v-list-tile-content>
                <v-list-tile-title>{{operation.description}}</v-list-tile-title>
                <v-list-tile-sub-title>{{operation.amount}}</v-list-tile-sub-title>
            </v-list-tile-content>
            <v-list-tile-action>
                <v-icon>chevron_right</v-icon>
            </v-list-tile-action>
        </v-list-tile>
    </div>
</template>

<script>
import { mapState } from "vuex";

export default {
    computed: {
        ...mapState([
            'operations'
        ])
    },
    mounted() {
        this.$store.dispatch("fetchOperations");
    }
}
</script>

<style>
</style>
